Website of latouche

[home] [Computers and networks] [User guides]

Install MotOrBac on Gentoo

Here is a little howto for installing MotOrBac - a tool for managing security policies based on orbac - on a gentoo linux (2007.0). Please, note that I'm not part of the MotOrBac project, any comment should be addressed to the contacts specified on the web site.

The version MotOrBac I worked with is labelled "first stable release" (2007/03/23) on Sourceforge.

Install the required dependencies

As far as I know, only swi-prolog and a jdk are needed. I found nowhere which versions should be installed. So here is what I installed:

Launch MotOrBac

First, go to MotOrBAC/bin

Without environment variables

LD_LIBRARY_PATH=/usr/lib/pl-5.6.37/lib/x86 java -classpath .:/usr/lib/pl-5.6.37/lib/jpl.jar:JLexCup.jar motorbac.MotOrBAC
(replace pl-5.6.37 if the version of swi-prolog is different)

With environment variables

  1. set the variables
  2. then launch MotOrBac:
    java motorbac.MotOrBAC
  3. you can now remove the environment variables:
  4. Using MotOrBac

    Some tips for using MotOrBac:
    Last update: 2007/10/29